ATF-SH(1)

NAME
atf-sh - interpreter for shell-based test programs

SYNOPSIS
atf-sh script
atf-sh -h

DESCRIPTION
atf-sh is an interpreter that runs the test program given in script after loading the atf-sh-api(3) library.

atf-sh is not a real interpreter though: it is just a wrapper around the system-wide shell defined by the ‘atf_shell’ configuration value in atf-config(1). atf-sh executes the interpreter, loads the atf-sh-api(3) library and then runs the script.

Scripts using atf-sh-api(3) should start with:

    #! /usr/bin/env atf-sh

The following options are available:

-h  Shows a short summary of all available options and their purpose.

SEE ALSO
atf-config(1), atf-sh-api(3), atf(7)